# $Revision: 1.10 $, $Date: 2007/02/13 08:06:38 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Filter-Sort
Summary:	XML::Filter::Sort - SAX filter for sorting elements in XML
Summary(pl.UTF-8):	XML::Filter::Sort - filtr SAX sortujący składniki w XML-u
Name:		perl-XML-Filter-Sort
Version:	1.01
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1abd77f5555b89b5e745faf6c02068cb
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.41
BuildRequires:	perl-XML-SAX
BuildRequires:	perl-XML-SAX-Writer
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a SAX filter for sorting 'records' in XML documents
(including documents larger than available memory). The xmlsort
utility which is included with this distribution can be used to sort
an XML file from the command line without writing Perl code (see
perldoc xmlsort).

%description -l pl.UTF-8
Ten moduł jest filtrem SAX do sortowania "rekordów" w dokumentach XML
(włącznie z dokumentami większymi od dostępnej pamięci). Narzędzie
xmlsort załączone w pakiecie może być używane do sortowania pliku
XML z linii poleceń bez pisania kodu w Perlu (więcej informacji w
perldoc xmlsort).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/XML/*/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Filter-Sort.spec,v $
Revision 1.10  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.8  2005/05/31 07:14:42  petec
- up to 1.01

Revision 1.7  2004/11/03 22:30:55  paladine
- formatting

Revision 1.6  2004/10/31 22:36:06  paladine
- spaces->tabs
- formatting

Revision 1.5  2004/05/06 19:27:40  qboosh
- pl desc

Revision 1.4  2004/05/06 18:21:31  ankry
- fixed perl-devel BR

Revision 1.3  2004/05/06 02:07:06  ankry
- pl summary, formatting

Revision 1.2  2004/05/05 20:26:51  radek
- added forgotten md5

Revision 1.1  2004/05/05 20:25:37  radek
- new
